%  dblint1.m
% Matlab file for Part 1 of The Double Integrals I 
% module

disp('**********************************************')
disp('Part 1: Review of Numerical Methods for ')
disp('        One-Variable Integrals ')
disp('**********************************************')
disp('  ')    

    format long
    
    disp('First enter the integrand function: ')
    disp(' ')
    disp('  g = fcnchk(''exp(-t^2/2)'', ''vectorized'' )  ')
    disp(' ')
    disp('--------------------------------------------')
    disp('Step 1: ') 
    disp('The commands below calculate a Riemann sum')
    disp('approximation to the definite integral of')
    disp('f(t) over the interval -1 < t < 3 using ')
    disp('n=10 subintervals. ')
    disp(' ')
    disp('Copy the commands below as a group, paste')
    disp('them at a MATLAB prompt,and enter them. ')
    disp(' ')
    disp('  n = 10 ')
    disp('  deltat = 4/n ')
    disp('  t = -1+deltat: deltat: 3 ')
    disp('  areas = g(t)*deltat ')
    disp('  Rapprox = sum(areas)  ')
    disp(' ')
    disp('---------------------------------------------')
    disp('Explain why you are calculating a Riemann')
    disp('sum approximation to the definite integral.')
    disp('Answer using MATLAB comments in your diary file.')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('---------------------------------------------')
    disp('Step 2: ')
    disp('The commands from above are repeated below ')
    disp('except this time we have suppressed printing')
    disp('the long lists by using semicolons after the')  
    disp('commands. ')
    disp(' ')
    disp('Change n to each of the different prescribed')
    disp('values and enter: ')
    disp(' ')
    disp('  n = ?  % Put in a value ')
    disp(' ')
    disp('  deltat = 4/n ')
    disp('  t = -1+deltat: deltat: 3; ')
    disp('  areas = g(t)*deltat; ')
    disp('  Rapprox = sum(areas)  ')
    disp(' ')
    disp('------------------------------------------------')
    disp('Give your estimate of the value of the integral.')
    disp('Include only as many digits as you believe accurate.')
    disp('Answer using MATLAB comments in your diary file.')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('------------------------------------------------')
    disp('Step 3')
    disp('The commands below approximate the integal using')
    disp('the Trapezoidal Rule. ')
    disp(' ')
    disp('Change n to each of the different prescribed')
    disp('values and enter: ')
    disp(' ')
    disp('  n = ?  % Put in a value ')
    disp(' ')
    disp('  deltat = 4/n ')
    disp('  t = -1: deltat: 3; ')
    disp('  height = g(t); ')
    disp('  lfheight = height(1:n); ')
    disp('  rtheight = height(2:n+1); ')
    disp('  areas = 0.5*(lfheight+rtheight)*deltat; ')
    disp('  Tapprox = sum(areas) ')
    disp(' ')
    disp('-------------------------------------------------')
    disp('Immediately after each calculation, save the value.')
    disp('For example, after the n=10 calculation, enter')
    disp('T10=Tapprox to save the approximation. ')
    disp(' ')
    disp('Explain why the given commands calculate the ')
    disp('Trapezoidal Rule approximation.')
    disp('Use MATLAB comments in your diary file.')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('------------------------------------------------')
    disp('Step 4')
    disp('The commands below approximate the integal using')
    disp('the Midpoint Rule. ')
    disp(' ')
    disp('Change n to each of the different prescribed')
    disp('values and enter: ')
    disp(' ')
    disp('  n = ?  % Put in a value ')
    disp(' ')
    disp('  deltat = 4/n ')
    disp('  t = -1+deltat/2: deltat: 3-deltat/2; ')
    disp('  areas = g(t)*deltat; ')
    disp('  Mapprox = sum(areas) ')
    disp(' ')
    disp('-------------------------------------------------')
    disp('Immediately after each calculation, save the value.')
    disp('For example, after the n=10 calculation, enter')
    disp('M10=Mapprox to save the approximation. ')
    disp(' ')
    disp('Explain why the given commands calculate the ')
    disp('Midpoint Rule approximation.')
    disp('Use MATLAB comments in your diary file.')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')

    disp('---------------------------------------------')
    disp('Step 5: ')
    disp('Simpson''s Rule uses a weighted sum of Trapezoidal ')
    disp('and Midpoint Rule approximations.  ')
    disp(' ')
    disp('Enter:')
    disp(' ')
    disp('  Sapprox = (2*M20 + T20)/3 ')
    disp(' ')
    disp('---------------------------------------------')
    disp('What are the weights for Simpson''s Rule?')
    disp('Answer using MATLAB comments in your diary file.')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('---------------------------------------------')
    disp('Step 6: ')
    disp('Now let''s compute the approximation to our  ')
    disp('integral using MATLAB''s built-in numerical  ')
    disp('integrator. ')
    disp(' ')
    disp('Enter:')
    disp(' ')
    disp('  Exact = quad8(g,-1,3)  ')
    disp(' ')
    disp('---------------------------------------------')
    disp('Compare your ealier results with the ''Exact'' ')
    disp('result from MATLAB. ')
    disp('Answer using MATLAB comments in your diary file.')
    disp(' ')
    disp(' ')
    disp('-------------------------------------------- ')
    disp('When you are ready to go on to part 2 ')
    disp('of this module, type: dblint2.')
    disp(' ')
