%  dblint2.m
% Matlab file for Part 2 of The Double Integrals I 
% module

disp('**********************************************')
disp('Part 2: Double Integrals Over Coordinate  ')
disp('        Rectangles ')
disp('**********************************************')
disp('  ')    

    format long
    
    disp('Step 1: ') 
    disp('The commands below enter a function of two')
    disp('variables (using a ''vectorized'' version of the')
    disp('''inline'' function) and plot its graph over')
    disp('the coordinate rectangle -pi<x<pi, -pi<y<pi.')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  f1=''cos(pi*x^2)*exp(-x^2)+ x*y + 1''; ')
    disp('  f=fcnchk(f1,''vectorized'') ')
    disp('  [X,Y]=meshgrid(-pi: pi/50: pi); ')
    disp('  Z=f(X,Y); ')
    disp('  surf(X,Y,Z)  ')
    disp(' ')
    disp('---------------------------------------------')
    disp('To rotate the plot, first click on the rotate')
    disp('button at the far right of the menu bar in the')
    disp('figure window.  Then hold down the left mouse')
    disp('button while on top of the figure and drag.')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('---------------------------------------------')
    disp('Step 2: ')
    disp('The commands below calulate an approximation to ')
    disp('the value of the double integral.')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  n = 10  ')
    disp(' ')
    disp('  deltax = 2*pi/n; deltay = 2*pi/n;')
    disp('  deltaA = deltax*deltay;  ')
    disp('  x = -pi: deltax: pi-deltax; ')
    disp('  y = -pi: deltay: pi-deltay; ')
    disp('  S=0 ')
    disp('  for i = 1:n ')
    disp('    for j = 1:n ')
    disp('      S = S + f(x(i),y(j))*deltaA; ')
    disp('    end ')
    disp('  end ')
    disp('  approx = S ')
    disp(' ')
    disp('------------------------------------------------')
    disp('Explain what is being calculated and why it ')
    disp('approximates the integral.')
    disp('Explain using MATLAB comments in your diary file.')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('------------------------------------------------')
    disp('Step 3 and 4')
    disp('Change n to each of the prescribed values and')
    disp('compute the approximation for each such n. ')
    disp(' ')
    disp('------------------------------------------------')
    disp('How many terms are in the last sum?')
    disp(' ')
    disp('Give your best estimate of the double integral')
    disp('providing only as many digits as you believe to')
    disp('be accurate.')
    disp('Answer using MATLAB comments in your diary file.')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('------------------------------------------------')
    disp('Step 5')
    disp('Design a more efficient numerical approximation')
    disp('and use it to estimate the integral for n=10  ')
    disp('and n=20. ')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')

    disp('---------------------------------------------')
    disp('Step 6: ')
    disp('Reduce the compuation to the evaluation of the')
    disp('single integral of a function of one variable.')
    disp('and use the quad8 numberical integrator to ')
    disp('evaluate this one-variable integral.')
    disp(' ')
    disp('Enter your single-variable function (between')
    disp('single quote marks), then execute the commands:')
    disp(' ')
    disp('  g1 = '' ??? fill in ''  ')
    disp('  g = fcnchk(g1,''vectorized'') ')
    disp('  Exact = quad8(g,-pi,pi) ')
    disp(' ')
    disp('---------------------------------------------')
    disp('Compare the ''Exact'' result to your earlier')
    disp('approximations. ')
    disp('Answer using MATLAB comments in your diary file.')
    disp(' ')
    disp(' ')
    disp('-------------------------------------------- ')
    disp('When you are ready to go on to part 3 ')
    disp('of this module, type: dblint3.')
    disp(' ')
