%  dblint3.m
% Matlab file for Part 3 of The Double Integrals I 
% module
global h

disp('**********************************************')
disp('Part 3: Double Integrals Over More General  ')
disp('        Regions ')
disp('**********************************************')
disp('  ')    

    format long
    
    disp('Step 1: ') 
    disp('The commands below define the function h(x,y)')
    disp('and plot its graph over the coordinate rectangle')
    disp('0<x<1, 0<y<1.')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  h=fcnchk(''x*y^2 + x - y'',''vectorized'') ')
    disp('  [X,Y]=meshgrid(0: .01: 1); ')
    disp('  Z=h(X,Y); ')
    disp('  figure(1); clf ')
    disp('  surf(X,Y,Z)  ')
    disp(' ')
    disp('---------------------------------------------')
    disp('If necessary, rotate the graph to get a good')
    disp('look at it.')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('---------------------------------------------')
    disp('Step 2: ')
    disp('In the m-files provided with this module, the')
    disp('file Hfun.m defines the extended function H.')
    disp('To see a listing of that function m-file, with')
    disp('explanations, enter ''''type Hfun''''. ')
    disp(' ')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('---------------------------------------------')
    disp('Step 2 (cont.): ')
    disp('Now we can compute values of the extended function')
    disp('H over the X,Y grid defined in step 1 and graph it.')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  W=Hfun(X,Y); ')
    disp('  figure(2); clf ')
    disp('  surf(X,Y,W)  ')
    disp(' ')
    disp('---------------------------------------------')
    disp('If necessary, rotate the graph to get a good')
    disp('look at it.')
    disp(' ')
    disp('Explain why integrating H over the entire rectangle ')
    disp('gives the same result as integrating h over D.')
    disp('Explain using MATLAB comments in your diary file.')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('------------------------------------------------')
    disp('Step 3')
    disp('Use the extended function Hfun(x,y) and the')
    disp('commands defining the double integral over the ')
    disp('rectangle [0,1]x[0,1] modified from Part 2, step 2')
    disp('of this module to approximate the double integral  ')
    disp('for the prescribed values of n. ')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('  n = ?  % Enter value  ')
    disp(' ')
    disp('  deltax = 1/n; deltay = 1/n;')
    disp('  deltaA = deltax*deltay;  ')
    disp('  x = 0: deltax: 1-deltax; ')
    disp('  y = 0: deltay: 1-deltay; ')
    disp('  S=0 ')
    disp('  for i = 1:n ')
    disp('    for j = 1:n ')
    disp('      S = S + Hfun(x(i),y(j))*deltaA; ')
    disp('    end ')
    disp('  end ')
    disp('  approx = S ')
    disp(' ')
    disp('------------------------------------------------')
    disp('Record your approximations as MATLAB comments')
    disp('in your diary file. ')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('------------------------------------------------')
    disp('Step 4')
    disp('Use your more efficient numerical approximation')
    disp('method from Part 2, step 4 to approximated the')
    disp('double integral for the prescribed values of n.')
    disp(' ')
    disp('------------------------------------------------')
    disp('Record your approximations as MATLAB comments')
    disp('in your diary file. ')
    disp(' ')
    disp('To continue, type the word return and ')
    disp('hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')

    disp('---------------------------------------------')
    disp('Step 5: ')
    disp('Calculate the integral by hand and compare the')
    disp('result to the approximations you found in the')
    disp('previous two steps. ')
    disp('evaluate this one-variable integral.')
    disp(' ')
    disp('---------------------------------------------')
    disp('Explain your results using MATLAB comments in')
    disp('your diary file.')
    disp(' ')
    disp(' ')
    disp('-------------------------------------------- ')
    disp('When you are ready to go on to part 4 ')
    disp('of this module, type: dblint4.')
    disp(' ')
